FTXUI 6.1.9 C++ functional terminal UI.

Loading...
Searching...
No Matches
Public Attributes | List of all members
SliderOption< T > Struct Template Reference

`#include <component_options.hpp>`

## Public Attributes
Ref< T > | value
ConstRef< T > | min = T(0)
ConstRef< T > | max = T(100)
ConstRef< T > | increment = (max() - min()) / 20
Direction | direction = Direction::Right
Color | color_active = Color::White
Color | color_inactive = Color::GrayDark
std::function< void()> | on_change

## Detailed Description

template<typename T>
struct ftxui::SliderOption< T >

Definition at line 224 of file component_options.hpp.

## Member Data Documentation

## ◆ value

template<typename T >

Ref<T> value

Definition at line 225 of file component_options.hpp.

## ◆ min

template<typename T >

ConstRef<T> min = T(0)

Definition at line 226 of file component_options.hpp.

## ◆ max

template<typename T >

ConstRef<T> max = T(100)

Definition at line 227 of file component_options.hpp.

## ◆ increment

template<typename T >

ConstRef<T> increment = (max() - min()) / 20

Definition at line 228 of file component_options.hpp.

## ◆ direction

template<typename T >

Direction direction = Direction::Right

Definition at line 229 of file component_options.hpp.

## ◆ color_active

template<typename T >

Color color_active = Color::White

Definition at line 230 of file component_options.hpp.

## ◆ color_inactive

template<typename T >

Color color_inactive = Color::GrayDark

Definition at line 231 of file component_options.hpp.

## ◆ on_change

template<typename T >

std::function<void()> on_change

Definition at line 232 of file component_options.hpp.

The documentation for this struct was generated from the following file:

- component_options.hpp